package com.sy.coinage.sys.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;
import com.sy.coinage.sys.vo.OrgListVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

/**
 * -组织机构Dao
 */
public interface OrgDao extends BaseMapper<Org> {

    IPage<OrgListVO> queryPageList(Page<OrgListVO> page,
                    @Param(Constants.WRAPPER) LambdaQueryWrapper<Org> queryWrapper);

    List<OptVO> queryOptList(@Param(Constants.WRAPPER) LambdaQueryWrapper<Org> queryWrapper);

}
