package com.sy.coinage.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 用户角色实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("sys_user_role")
// @ApiModel(value = "用户角色对象", description = "用户角色")
public class UserRole implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键 -10
     */
    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户id -10
     */
    @ApiModelProperty(value = "用户id")
    @TableField(value = "user_id")
    private Integer userId;

    /**
     * 角色id -10
     */
    @ApiModelProperty(value = "角色id")
    @TableField(value = "role_id")
    private Integer roleId;

}
