package com.sy.coinage.sys.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sy.coinage.sys.dao.RoleMenuDao;
import com.sy.coinage.sys.model.RoleMenu;
import com.sy.coinage.sys.service.IRoleMenuService;
import com.sy.coinage.sys.vo.PermissionVO;
import java.util.List;
import org.springframework.stereotype.Service;

/**
 * 菜单ServiceImpl
 */
@Service
public class RoleMenuServiceImpl extends ServiceImpl<RoleMenuDao, RoleMenu> implements
        IRoleMenuService {

    @Override
    public List<PermissionVO> queryPermissionList(QueryWrapper<RoleMenu> queryWrapper) {
        return this.baseMapper.queryPermissionList(queryWrapper);
    }

}
