package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

@Data
public class QualityReq {

    @ApiModelProperty(value = "主键id", required = true)
    @NotNull(message = "主键id不能为空")
    @Range(min = 1)
    private Integer id;

    @NotNull(message = "质量状态不能为空")
    @Range(min = 1)
    private Integer qualityStatus;
}
