package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

@Data
public class RfidReq {

    @ApiModelProperty(value = "EPC码", required = true)
    @NotBlank(message = "EPC码不能为空")
    @Length(max = 12, message = "EPC码长度12不正确")
    private String rfid;

    @ApiModelProperty(value = "需要解缴单号，true需要 false不需要。无此参数，则不需要")
    private Boolean isNeedOrderNo;

}
