package com.sy.coinage.sys.req;

import com.sy.coinage.sys.req.vo.DictBatchAddVO;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class AdminDictAddReq {

    @ApiModelProperty(value = "租户id集合")
    private List<Integer> tenantIds;

    @ApiModelProperty(value = "字典标识")
    @NotBlank(message = "字典标识不能为空")
    private String tag;

    @ApiModelProperty(value = "字典名称")
    @NotBlank(message = "字典名称不能为空")
    private String name;

    @ApiModelProperty(value = "排序")
    private Integer sorted;

    @ApiModelProperty(value = "字典集合")
    private List<@Valid DictBatchAddVO> list;

}
