package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import com.sy.coinage.sys.req.vo.RoleMenuAddVO;

import lombok.Data;

@Data
public class RoleMenuAddReq {

    @ApiModelProperty(value = "角色id")
    @NotNull(message = "角色id不能为空")
    private Integer roleId;

    @ApiModelProperty(value = "菜单集合")
    @NotEmpty(message = "菜单集合不能为空")
    private List<@Valid RoleMenuAddVO> menuIds;

}
