package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;

import lombok.Data;

/**
 * 修改个人密码请求bean
 *
 * @author: lug 2021年12月31日
 */
@Data
public class UpPwdReq {

    /**
     * 新密码
     */
    @ApiModelProperty(value = "新密码")
    @NotBlank(message = "新密码不能为空")
    private String newPassword;
    /**
     * 原密码
     */
    @ApiModelProperty(value = "原密码")
    @NotBlank(message = "原密码不能为空")
    private String oldPassword;

}
