package com.sy.coinage.sys.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sy.coinage.core.util.TreeUtil.TreeNode;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * -字典列表响应bean
 */
@Data
public class DictListVO extends TreeNode<Integer> implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "自增主键")
    private Integer id;

    @ApiModelProperty(value = "状态 1可用 2禁用")
    private Integer status;

    @ApiModelProperty(value = "层级")
    private Integer levels;

    @ApiModelProperty(value = "排序")
    private Integer sorted;

    @ApiModelProperty(value = "父id")
    private Integer pid;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "字典标识/英文数字")
    private String tag;

    @ApiModelProperty(value = "字典值")
    private String val;

    @ApiModelProperty(value = "租户id")
    @TableField(value = "tenant_id")
    private Integer tenantId;

    @Override
    public Integer getNodeId() {
        return id;
    }

    @Override
    public Integer getNodeParentId() {
        return pid;
    }

    @Override
    public CharSequence getNodeName() {
        return name;
    }

}
