package com.sy.coinage.workshop.req.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * -发货回退删除的产品明细bean
 */
@Data
public class BackSerialNumberVO extends SerialNumberVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "回退的主库ID不能为空")
    @ApiModelProperty(value = "回退的主库ID")
    private Integer wareId;

    @NotNull(message = "回退的库位ID不能为空")
    @ApiModelProperty(value = "回退的库位ID")
    private Integer areaId;

}
