package com.sy.coinage.workshop.req.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * -添加请求明细bean
 */
@Data
public class SerialNumberVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotBlank(message = "rfid不能为空")
    @ApiModelProperty(value = "EPC码")
    private String rfid;

    @NotBlank(message = "编号不能为空")
    @ApiModelProperty(value = "编号")
    private String serialNumber;

}
